Makefile.REL=7.1-RELEASE.diff
Makefile.REL=6.4-RELEASE.diff@ -> Makefile.REL=7.1-RELEASE.diff
it might apply to more backward, I havent checked.
Not needed for 7.2-RELEASE as label dofetch was removed.

-------
below sent 2008-12-30

to: Florent Thoumie <flz@@@FreeBSD.org>
subject: /usr/ports/astro/google-earth/makefile do-fetch: is Bad.

Hi Florent Thoumie <flz@@@FreeBSD.org>
I thought I'd mail you a private copy of this
http://www.berklix.com/~jhs/src/bsd/fixes/freebsd/ports/gen/astro/google-earth/Makefile.REL=ALL.diff
before I do a send-pr,
to see if you can come up with a solution,
in case you dont want to simply erase your do-fetch: rule ?

Cheers,
Julian jhs@@@berklix.com
-- 
Julian H. Stacey: BSDUnixLinux C Prog Admin SysEng Consult Munich www.berklix.com
  Mail plain ASCII text.  HTML & Base64 text are spam.
--------

Patch out this too simplistic 'do-fetch' that
grossly forces every make fetch to spend Hours slowly fetching 20M
across the Atlantic from Google USA, even when the fetching host
has multiple copies adjacent on same disk, eg
	/pub/FreeBSD/dists/6.4-RELEASE/GoogleEarthLinux-4.3.7284.3916.bin
	/pub/FreeBSD/dists/7.1-RELEASE/GoogleEarthLinux-4.3.7284.3916.bin
	/pub/FreeBSD/dists/current/GoogleEarthLinux-4.3.7284.3916.bin
Normal ports have no problem fast fetching a local copy via make.conf 
	http://www.berklix.com/~jhs/src/bsd/fixes/FreeBSD/src/jhs/etc/
with sample extract eg::
	MASTER_SORT_REGEX?=	^file: ^ftp://ftp\.FreeBSD\.org/pub/FreeBSD/ports/local-distfiles/ ://[^/]*\.de/ ://[^/]*\.de\.
	FTP_HOST=ftp
	P_F_D=pub/FreeBSD/dists
	P_F_P_D=pub/FreeBSD/ports/distfiles
	DIS_LOCAL+= file:///${P_F_D}/current/${DIST_SUBDIR}/
	DIS_LOCAL+= /${P_F_D}/current/${DIST_SUBDIR}/
	DIS_LOCAL+= ftp://${FTP_HOST}/${P_F_D}/current/${DIST_SUBDIR}/
	DIS_LOCAL+= file:///${P_F_D}/7.1-RELEASE/${DIST_SUBDIR}/
	DIS_LOCAL+= /${P_F_D}/7.1-RELEASE/${DIST_SUBDIR}/
	DIS_LOCAL+= ftp://${FTP_HOST}/${P_F_D}/7.1-RELEASE/${DIST_SUBDIR}/
	DIS_LOCAL+= file:///${P_F_D}/7.0-RELEASE/${DIST_SUBDIR}/
	DIS_LOCAL+= /${P_F_D}/7.0-RELEASE/${DIST_SUBDIR}/
	DIS_LOCAL+= ftp://${FTP_HOST}/${P_F_D}/7.0-RELEASE/${DIST_SUBDIR}/
	DIS_REMOTE+= ftp://ftp.berklix.org/${P_F_P_D}/${DIST_SUBDIR}/
	DIS_REMOTE+=ftp://ftp.tu-clausthal.de/${P_F_P_D}/${DIST_SUBDIR}/
	DIS_REMOTE+=ftp://ftp.plusline.net/${P_F_P_D}/${DIST_SUBDIR}/
	DIS_REMOTE+=ftp://ftp.rrze.uni-erlangen.de/${P_F_P_D}/${DIST_SUBDIR}/
	DIS_REMOTE+= ftp://ftp.freebsd.org/${P_F_P_D}/${DIST_SUBDIR}/
	MASTER_SITE_BACKUP=	${DIS_REMOTE}
	MASTER_SITE_OVERRIDE= ${DIS_LOCAL}

*** 7.1-RC2-fetching-for-6.4-RELEASE/ports/astro/google-earth/Makefile	Mon Dec 29 23:24:41 2008
--- new-generic/ports/astro/google-earth/Makefile	Mon Dec 29 23:21:46 2008
***************
*** 43,53 ****
  RUN_DEPENDS+=	${LINUXBASE}/usr/local/lib/libGL.so.1:${PORTSDIR}/graphics/linux_dri
  .endif
  
! do-fetch:
! 	@if [ ! -f ${DISTDIR}/${TARGET_DISTFILE} ]; then \
! 		cd ${DISTDIR}; \
! 		${FETCH_CMD} ${FETCH_BEFORE_ARGS} -1 ${MASTER_SITES:S|$|${REAL_DISTFILE}|g} ${FETCH_AFTER_ARGS}; \
! 	fi
  
  do-extract:
  	@${MKDIR} ${WRKSRC}
--- 43,53 ----
  RUN_DEPENDS+=	${LINUXBASE}/usr/local/lib/libGL.so.1:${PORTSDIR}/graphics/linux_dri
  .endif
  
! # do-fetch:
! # 	@if [ ! -f ${DISTDIR}/${TARGET_DISTFILE} ]; then \
! # 		cd ${DISTDIR}; \
! # 		${FETCH_CMD} ${FETCH_BEFORE_ARGS} -1 ${MASTER_SITES:S|$|${REAL_DISTFILE}|g} ${FETCH_AFTER_ARGS}; \
! # 	fi
  
  do-extract:
  	@${MKDIR} ${WRKSRC}
-----------------
From: "Florent Thoumie" <flz@@@freebsd.org>
Date: Tue, 30 Dec 2008 15:02:00 +0000
To: "Julian H. Stacey" <jhs@@@berklix.org>
Cc: nox@@@freebsd.org

On Mon, Dec 29, 2008 at 11:56 PM, Julian H. Stacey <jhs@@@berklix.com>
<jhs@@@berklix.org> wrote:
> Hi Florent Thoumie <flz@@@FreeBSD.org>
> I thought I'd mail you a private copy of this
> http://www.berklix.com/~jhs/src/bsd/fixes/freebsd/ports/gen/astro/google-earth/Makefile.REL=ALL.diff
> before I do a send-pr,
> to see if you can come up with a solution,
> in case you dont want to simply erase your do-fetch: rule ?

Hi Julian,

First, I'm not astro/google-earth maintainer anymore so I cc'ed nox@.

I'm not sure how/why it breaks but I had to introduce this rule
because distfiles have to be versioned. I can't find the thread where
it was discussed but you can't simply remove it.

